/**
 * CFilterRadio - 筛选项目，单选
 * @author Tevin
 */

<template>
    <view
        class="c-filter-radio"
        :class="'type-'+place"
    >
        <view
            class="label"
            v-if="place==='item'"
        >{{label}}</view>
        <view class="content">
            <view
                class="c-filter-radio-item"
                v-for="item of options"
                :key="item.value"
                @tap="evt => handleChange(item.value)"
            >
                <view
                    class="c-filter-radio-icon"
                    :class="value===item.value?'checked':''"
                >
                    <AtIcon value="check" />
                </view>
                <view class="c-filter-radio-label">{{item.label || item.name}}</view>
            </view>
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { AtIcon } from 'taro-ui-vue';
import './cFilterRadio.scss';

export default {
    name: 'CFilterRadio',
    components: {
        AtIcon,
    },
    props: {
        // 位置类型，bar、item
        place: String,
        // 项名称
        label: String,
        // 项键名
        name: String,
        // 选项
        options: Array,
        // 项值
        value: [String, Number],
        // 变化回调
        onChange: Function,
    },
    data() {
        return {};
    },
    methods: {
        handleChange(value) {
            this.onChange({
                place: this.place,
                name: this.name,
                value,
            });
        },
    },
};
</script>